Bug 151487 - [Streams API] teeReadableStream should not directly use stream.getReader()
Summary: [Streams API] teeReadableStream should not directly use stream.getReader()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-20 02:46 PST by youenn fablet
Modified: 2015-12-01 02:14 PST (History)
4 users (show)

See Also:


Attachments
Patch (1.54 KB, patch)
2015-11-20 02:50 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (3.90 KB, patch)
2015-12-01 01:17 PST, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2015-11-20 02:46:52 PST
teeReadableStream should not directly use stream.getReader()
Comment 1 youenn fablet 2015-11-20 02:50:03 PST
Created attachment 265947 [details]
Patch
Comment 2 Darin Adler 2015-11-30 11:59:26 PST
Comment on attachment 265947 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=265947&action=review

> Source/WebCore/ChangeLog:8
> +        No change in behavior.

This is not true. The comment below says “may be disrupted by user scripts”, so there is an observable behavior change we could and should test.
Comment 3 youenn fablet 2015-12-01 01:17:55 PST
Created attachment 266342 [details]
Patch for landing
Comment 4 youenn fablet 2015-12-01 01:19:59 PST
(In reply to comment #2)
> Comment on attachment 265947 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=265947&action=review
> 
> > Source/WebCore/ChangeLog:8
> > +        No change in behavior.
> 
> This is not true. The comment below says “may be disrupted by user scripts”,
> so there is an observable behavior change we could and should test.

Right, I added a test to cover non regression.
Comment 5 WebKit Commit Bot 2015-12-01 02:14:17 PST
Comment on attachment 266342 [details]
Patch for landing

Clearing flags on attachment: 266342

Committed r192877: <http://trac.webkit.org/changeset/192877>
Comment 6 WebKit Commit Bot 2015-12-01 02:14:21 PST
All reviewed patches have been landed.  Closing bug.